package com.excira.jfreechart;

/**
 * Copyright (C) 2008 Opsera Limited. All rights reserved
 *
 * This file is part of Opsview
 * 
 * Opsview is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * Opsview is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Opsview; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301  USA
 * 
 */

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class Report {
	
	private Map params = new HashMap();
	private String fileName = "";
	private List subReports = null;
	private boolean empty = true;
		
	/**
	 * 
	 */
	public Report(String fileName) {

		this.fileName = fileName;
	}
	
	/**
	 * 
	 */
	public void addParameter(String key, Object value) {
		
		params.put(key, value);
	}
	
	/**
	 * 
	 */
	public Object getParameter(String key) {
		
		return params.get(key);
	}
	
	/**
	 * 
	 */
	public Map getParameters() {
		return params;
	}
	
	/**
	 * 
	 */
	public String getFileName() {
		
		return fileName;
	}

	/**
	 * 
	 */
	public boolean isEmpty() {
		
		return empty;
	}

	/**
	 * 
	 */
	public void setEmpty(boolean empty) {
		
		this.empty = empty;
	}



	/**
	 * 
	 */
	public List getSubReports() {
		
		if ( subReports == null )
			subReports = new ArrayList();
		return subReports;
	}
	
	/**
	 * 
	 */
	public void setSubReports(List subReports) {
		this.subReports = subReports;
	}
}
